# cpr_checkpoint.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/file.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/namespace/namespace_entry.hpp>`
`#include <saga/saga/packages/cpr/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::cpr
namespace | saga::cpr::metrics
namespace | saga::cpr::attributes
## Classes
class | saga::cpr::checkpoint
| The saga::replica class implements the saga::attributes interface. More...
## Enumerations
enum | saga::cpr::flags { saga::cpr::None = saga::name_space::None, saga::cpr::Overwrite = saga::name_space::Overwrite, saga::cpr::Recursive = saga::name_space::Recursive, saga::cpr::Dereference = saga::name_space::Dereference, saga::cpr::Create = saga::name_space::Create, saga::cpr::Exclusive = saga::name_space::Exclusive, saga::cpr::Lock = saga::name_space::Lock, saga::cpr::CreateParents = saga::name_space::CreateParents, saga::cpr::Truncate = 128, saga::cpr::Append = 256, saga::cpr::Read = 512, saga::cpr::Write = 1024, saga::cpr::ReadWrite = Read | Write }
| The flags enum is inherited from the namespace package. More...
## Variables
char const *const | saga::cpr::metrics::checkpoint_modified = "checkpoint.Modified"
char const *const | saga::cpr::metrics::checkpoint_deleted = "checkpoint.Deleted"
char const *const | saga::cpr::attributes::cpr_time = "Time"
| [rw] time of creation
char const *const | saga::cpr::attributes::cpr_nfliles = "NFiles"
| [ro] number of files in checkpoint
char const *const | saga::cpr::attributes::cpr_mode = "Mode"
| [ro] checkpoint mode (Full, Incremental)
char const *const | saga::cpr::attributes::cpr_mode_full = "Full"
| [rw] possible Mode values
char const *const | saga::cpr::attributes::cpr_mode_incremental = "Incremental"
char const *const | saga::cpr::attributes::cpr_parent = "Parent"
| [ro] Reference for incremental checkpoints. For full checkpoints, points to previous checkpoint (Incremental or full).
char const *const | saga::cpr::attributes::cpr_children = "Children"
| [ro] checkpoints following this checkpoint (if known)